View Issue Details

IDProjectCategoryView StatusLast Update
0026862Open CASCADEOCCT:Configurationpublic2018-09-29 21:18
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
PlatformWindowsOSVC++ 2013 
Target Version7.0.0Fixed in Version7.0.0 
Summary0026862: Configuration - avoid usage of 3rd-party headers within OpenGl_View and D3DHost_View
DescriptionIt is desirable to avoid inclusion of 3rd-parties (FreeType and D3D9) within OpenGl_View and D3DHost_View to avoid compiling issues when using these public classes (e.g. within C# wrapper).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed

Relationships

related to 0024776 closedkgv Open CASCADE Visualization - inherit OpenGl_View from Graphic3d_CView 

Activities

git

2015-11-11 13:01

administrator   ~0048051

Branch CR26862 has been created by kgv.

SHA-1: ccedba8c0087fedb02c41e341b8f6d712b38a957


Detailed log of new commits:

Author: kgv
Date: Wed Nov 11 12:51:30 2015 +0300

    0026862: Configuration - avoid usage of 3rd-party headers within OpenGl_View and D3DHost_View
    
    Move Font_FTFont::Rect structure into dedicated header Font_FTFont.
    D3DHost_View, OpenGl_Font, Font_TextFormatter - use forward declarations.

git

2015-11-11 19:02

administrator   ~0048073

Branch CR26862 has been updated forcibly by kgv.

SHA-1: 3507c2c1932262cb0baf30effb9e07a490823001

kgv

2015-11-11 19:05

developer   ~0048075

Please check compilation, testing is not needed.

mkv

2015-11-12 12:25

tester   ~0048093

Dear BugMaster,
Branch CR26862 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 3507c2c1932262cb0baf30effb9e07a490823001

There are following compilation errors:

Linux:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR26862-master/job/CR26862-master_build_occt_linux/1/parsed_console/
../../../../src/Font/Font_TextFormatter.cxx: In member function 'void Font_TextFormatter::Append(const NCollection_String&, Font_FTFont&)':
../../../../src/Font/Font_TextFormatter.cxx:123:46: error: invalid use of incomplete type 'class Font_FTFont'
In file included from ../../../../src/Font/Font_TextFormatter.cxx:16:0:
../../../../inc/Font_TextFormatter.hxx:26:7: error: forward declaration of 'class Font_FTFont'
../../../../src/Font/Font_TextFormatter.cxx:124:46: error: invalid use of incomplete type 'class Font_FTFont'
In file included from ../../../../src/Font/Font_TextFormatter.cxx:16:0:
../../../../inc/Font_TextFormatter.hxx:26:7: error: forward declaration of 'class Font_FTFont'
../../../../src/Font/Font_TextFormatter.cxx:152:27: error: invalid use of incomplete type 'class Font_FTFont'
In file included from ../../../../src/Font/Font_TextFormatter.cxx:16:0:
../../../../inc/Font_TextFormatter.hxx:26:7: error: forward declaration of 'class Font_FTFont'
../../../../src/Font/Font_TextFormatter.cxx:158:27: error: invalid use of incomplete type 'class Font_FTFont'
In file included from ../../../../src/Font/Font_TextFormatter.cxx:16:0:
../../../../inc/Font_TextFormatter.hxx:26:7: error: forward declaration of 'class Font_FTFont'
../../../../src/Font/Font_TextFormatter.cxx:167:25: error: invalid use of incomplete type 'class Font_FTFont'
In file included from ../../../../src/Font/Font_TextFormatter.cxx:16:0:
../../../../inc/Font_TextFormatter.hxx:26:7: error: forward declaration of 'class Font_FTFont'

Windows:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR26862-master/job/CR26862-master_build_occt_windows_64/1/parsed_console/
         ..\..\..\src\Font\Font_TextFormatter.cxx(123): error C2027: use of undefined type 'Font_FTFont'
         ..\..\..\src\Font\Font_TextFormatter.cxx(123): error C2228: left of '.Ascender' must have class/struct/union
         ..\..\..\src\Font\Font_TextFormatter.cxx(124): error C2027: use of undefined type 'Font_FTFont'
         ..\..\..\src\Font\Font_TextFormatter.cxx(124): error C2228: left of '.LineSpacing' must have class/struct/union
         ..\..\..\src\Font\Font_TextFormatter.cxx(152): error C2027: use of undefined type 'Font_FTFont'
         ..\..\..\src\Font\Font_TextFormatter.cxx(152): error C2228: left of '.AdvanceX' must have class/struct/union
         ..\..\..\src\Font\Font_TextFormatter.cxx(158): error C2027: use of undefined type 'Font_FTFont'
         ..\..\..\src\Font\Font_TextFormatter.cxx(158): error C2228: left of '.AdvanceX' must have class/struct/union
         ..\..\..\src\Font\Font_TextFormatter.cxx(167): error C2027: use of undefined type 'Font_FTFont'
         ..\..\..\src\Font\Font_TextFormatter.cxx(167): error C2228: left of '.AdvanceX' must have class/struct/union

MacOS:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR26862-master/job/CR26862-master_prepare_build_occt_MacOS/1/parsed_console/
/Users/mnt/tools/WOK680/wok_entities/LOC/dev/CR26862-master-occt/src/Font/Font_TextFormatter.cxx:123:46: error: member access into incomplete type 'Font_FTFont'
  myAscender = Max (myAscender, theFont.Ascender());
                                             ^
/Users/mnt/tools/WOK680/wok_entities/LOC/dev/CR26862-master-occt/src/Font/Font_TextFormatter.hxx:26:7: note: forward declaration of 'Font_FTFont'
class Font_FTFont;
      ^
/Users/mnt/tools/WOK680/wok_entities/LOC/dev/CR26862-master-occt/src/Font/Font_TextFormatter.cxx:124:46: error: member access into incomplete type 'Font_FTFont'
  myLineSpacing = Max (myLineSpacing, theFont.LineSpacing());
                                             ^
/Users/mnt/tools/WOK680/wok_entities/LOC/dev/CR26862-master-occt/src/Font/Font_TextFormatter.hxx:26:7: note: forward declaration of 'Font_FTFont'
class Font_FTFont;
      ^
/Users/mnt/tools/WOK680/wok_entities/LOC/dev/CR26862-master-occt/src/Font/Font_TextFormatter.cxx:152:27: error: member access into incomplete type 'Font_FTFont'
      myPen.x() += theFont.AdvanceX (' ', aCharNext);
                          ^
/Users/mnt/tools/WOK680/wok_entities/LOC/dev/CR26862-master-occt/src/Font/Font_TextFormatter.hxx:26:7: note: forward declaration of 'Font_FTFont'
class Font_FTFont;
      ^
/Users/mnt/tools/WOK680/wok_entities/LOC/dev/CR26862-master-occt/src/Font/Font_TextFormatter.cxx:158:27: error: member access into incomplete type 'Font_FTFont'
      myPen.x() += theFont.AdvanceX (' ', aCharNext) * Standard_ShortReal(aSpacesNum);
                          ^
/Users/mnt/tools/WOK680/wok_entities/LOC/dev/CR26862-master-occt/src/Font/Font_TextFormatter.hxx:26:7: note: forward declaration of 'Font_FTFont'
class Font_FTFont;
      ^
/Users/mnt/tools/WOK680/wok_entities/LOC/dev/CR26862-master-occt/src/Font/Font_TextFormatter.cxx:167:25: error: member access into incomplete type 'Font_FTFont'
    myPen.x() += theFont.AdvanceX (aCharThis, aCharNext);
                        ^
/Users/mnt/tools/WOK680/wok_entities/LOC/dev/CR26862-master-occt/src/Font/Font_TextFormatter.hxx:26:7: note: forward declaration of 'Font_FTFont'
class Font_FTFont;
      ^
5 errors generated.

git

2015-11-12 12:48

administrator   ~0048100

Branch CR26862_1 has been created by kgv.

SHA-1: 1610acf77146eec0884ab6cf1f4c0a203e955bb0


Detailed log of new commits:

Author: kgv
Date: Wed Nov 11 19:02:35 2015 +0300

    Fix regressions after 0024776
    
    OpenGl_View::IsInvalidated() - fix misprint.
    D3DHost_View::Redraw() - assign myFBO before rendering.
    D3DHost_FrameBuffer::Init() - fix always zero viewport.

Author: kgv
Date: Thu Nov 12 12:47:26 2015 +0300

    0026862: Configuration - avoid usage of 3rd-party headers within OpenGl_View and D3DHost_View
    
    Move Font_FTFont::Rect structure into dedicated header Font_FTFont.
    D3DHost_View, OpenGl_Font, Font_TextFormatter - use forward declarations.

kgv

2015-11-12 12:50

developer   ~0048101

Dear bugmaster,

the compilation issue with Font_TextFormatter.cxx should be fixed now.
Please check branch CR26862_1.

git

2015-11-12 16:00

administrator   ~0048112

Branch CR26862_1 has been updated forcibly by mkv.

SHA-1: e20c12df8e250e9f5086a5fd6eceecbaa6cdfb44

mkv

2015-11-13 17:44

tester   ~0048181

Dear BugMaster,
Branch CR26862_1 was rebased on branch IR-2015-11-12 of occt git-repository.
SHA-1: e20c12df8e250e9f5086a5fd6eceecbaa6cdfb44

mkv

2015-11-13 17:44

tester   ~0048182

Dear BugMaster,
Branch CR26862_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: e20c12df8e250e9f5086a5fd6eceecbaa6cdfb44

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 129 (129 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

mkv

2015-11-13 17:45

tester   ~0048183

Dear BugMaster,
Branch CR26862_1 is TESTED.

git

2016-04-17 14:19

administrator   ~0053130

Branch CR26862 has been deleted by kgv.

SHA-1: 3507c2c1932262cb0baf30effb9e07a490823001

git

2016-04-17 14:19

administrator   ~0053131

Branch CR26862_1 has been deleted by kgv.

SHA-1: e20c12df8e250e9f5086a5fd6eceecbaa6cdfb44

Related Changesets

occt: master d2eddacc

2015-11-12 09:47:26

kgv


Committer: bugmaster Details Diff
0026862: Configuration - avoid usage of 3rd-party headers within OpenGl_View and D3DHost_View

Move Font_FTFont::Rect structure into dedicated header Font_FTFont.
D3DHost_View, OpenGl_Font, Font_TextFormatter - use forward declarations.

Fix regressions after 0024776

OpenGl_View::IsInvalidated() - fix misprint.
D3DHost_View::Redraw() - assign myFBO before rendering.
D3DHost_FrameBuffer::Init() - fix always zero viewport.
Affected Issues
0026862
mod - src/D3DHost/D3DHost_FrameBuffer.cxx Diff File
mod - src/D3DHost/D3DHost_FrameBuffer.hxx Diff File
mod - src/D3DHost/D3DHost_View.cxx Diff File
mod - src/D3DHost/D3DHost_View.hxx Diff File
mod - src/Font/FILES Diff File
mod - src/Font/Font_FTFont.cxx Diff File
mod - src/Font/Font_FTFont.hxx Diff File
add - src/Font/Font_Rect.hxx Diff File
mod - src/Font/Font_TextFormatter.cxx Diff File
mod - src/Font/Font_TextFormatter.hxx Diff File
mod - src/OpenGl/OpenGl_Font.cxx Diff File
mod - src/OpenGl/OpenGl_Font.hxx Diff File
mod - src/OpenGl/OpenGl_Text.cxx Diff File
mod - src/OpenGl/OpenGl_Text.hxx Diff File
mod - src/OpenGl/OpenGl_TextBuilder.cxx Diff File
mod - src/OpenGl/OpenGl_View.hxx Diff File

Issue History

Date Modified Username Field Change
2015-11-11 12:46 kgv New Issue
2015-11-11 12:46 kgv Assigned To => bugmaster
2015-11-11 12:46 kgv Assigned To bugmaster => kgv
2015-11-11 12:46 kgv Status new => assigned
2015-11-11 13:01 git Note Added: 0048051
2015-11-11 19:02 git Note Added: 0048073
2015-11-11 19:03 kgv Relationship added related to 0024776
2015-11-11 19:05 kgv Note Added: 0048075
2015-11-11 19:05 kgv Assigned To kgv => bugmaster
2015-11-11 19:05 kgv Status assigned => resolved
2015-11-11 19:05 kgv Status resolved => reviewed
2015-11-11 19:49 mkv Assigned To bugmaster => mkv
2015-11-12 12:25 mkv Note Added: 0048093
2015-11-12 12:25 mkv Assigned To mkv => kgv
2015-11-12 12:25 mkv Status reviewed => assigned
2015-11-12 12:25 mkv Test case number => Not needed
2015-11-12 12:48 git Note Added: 0048100
2015-11-12 12:50 kgv Note Added: 0048101
2015-11-12 12:50 kgv Assigned To kgv => bugmaster
2015-11-12 12:50 kgv Status assigned => resolved
2015-11-12 12:50 kgv Status resolved => reviewed
2015-11-12 13:11 mkv Assigned To bugmaster => mkv
2015-11-12 16:00 git Note Added: 0048112
2015-11-13 17:44 mkv Note Added: 0048181
2015-11-13 17:44 mkv Note Added: 0048182
2015-11-13 17:45 mkv Note Added: 0048183
2015-11-13 17:45 mkv Assigned To mkv => bugmaster
2015-11-13 17:45 mkv Status reviewed => tested
2015-11-20 12:07 bugmaster Changeset attached => occt master d2eddacc
2015-11-20 12:07 bugmaster Status tested => verified
2015-11-20 12:07 bugmaster Resolution open => fixed
2016-04-17 14:19 git Note Added: 0053130
2016-04-17 14:19 git Note Added: 0053131
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.